<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.line.RMpInharmonicVRateReportDPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpInharmonicVRateReportD">
    <!--@mbg.generated-->
    <!--@Table r_mp_inharmonic_v_rate_report_d-->
    <id column="measurement_point_id" jdbcType="VARCHAR" property="measurementPointId" />
    <id column="data_date" jdbcType="DATE" property="dataDate" />
    <id column="phase" jdbcType="VARCHAR" property="phase" />
    <result column="centre_harmonic_voltage_content1_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent1Max" />
    <result column="centre_harmonic_voltage_content1_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent1Min" />
    <result column="centre_harmonic_voltage_content1_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent1Avg" />
    <result column="centre_harmonic_voltage_content1_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent1Cp95" />
    <result column="centre_harmonic_voltage_content2_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent2Max" />
    <result column="centre_harmonic_voltage_content2_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent2Min" />
    <result column="centre_harmonic_voltage_content2_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent2Avg" />
    <result column="centre_harmonic_voltage_content2_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent2Cp95" />
    <result column="centre_harmonic_voltage_content3_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent3Max" />
    <result column="centre_harmonic_voltage_content3_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent3Min" />
    <result column="centre_harmonic_voltage_content3_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent3Avg" />
    <result column="centre_harmonic_voltage_content3_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent3Cp95" />
    <result column="centre_harmonic_voltage_content4_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent4Max" />
    <result column="centre_harmonic_voltage_content4_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent4Min" />
    <result column="centre_harmonic_voltage_content4_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent4Avg" />
    <result column="centre_harmonic_voltage_content4_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent4Cp95" />
    <result column="centre_harmonic_voltage_content5_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent5Max" />
    <result column="centre_harmonic_voltage_content5_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent5Min" />
    <result column="centre_harmonic_voltage_content5_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent5Avg" />
    <result column="centre_harmonic_voltage_content5_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent5Cp95" />
    <result column="centre_harmonic_voltage_content6_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent6Max" />
    <result column="centre_harmonic_voltage_content6_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent6Min" />
    <result column="centre_harmonic_voltage_content6_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent6Avg" />
    <result column="centre_harmonic_voltage_content6_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent6Cp95" />
    <result column="centre_harmonic_voltage_content7_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent7Max" />
    <result column="centre_harmonic_voltage_content7_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent7Min" />
    <result column="centre_harmonic_voltage_content7_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent7Avg" />
    <result column="centre_harmonic_voltage_content7_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent7Cp95" />
    <result column="centre_harmonic_voltage_content8_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent8Max" />
    <result column="centre_harmonic_voltage_content8_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent8Min" />
    <result column="centre_harmonic_voltage_content8_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent8Avg" />
    <result column="centre_harmonic_voltage_content8_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent8Cp95" />
    <result column="centre_harmonic_voltage_content9_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent9Max" />
    <result column="centre_harmonic_voltage_content9_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent9Min" />
    <result column="centre_harmonic_voltage_content9_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent9Avg" />
    <result column="centre_harmonic_voltage_content9_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent9Cp95" />
    <result column="centre_harmonic_voltage_content10_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent10Max" />
    <result column="centre_harmonic_voltage_content10_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent10Min" />
    <result column="centre_harmonic_voltage_content10_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent10Avg" />
    <result column="centre_harmonic_voltage_content10_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent10Cp95" />
    <result column="centre_harmonic_voltage_content11_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent11Max" />
    <result column="centre_harmonic_voltage_content11_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent11Min" />
    <result column="centre_harmonic_voltage_content11_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent11Avg" />
    <result column="centre_harmonic_voltage_content11_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent11Cp95" />
    <result column="centre_harmonic_voltage_content12_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent12Max" />
    <result column="centre_harmonic_voltage_content12_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent12Min" />
    <result column="centre_harmonic_voltage_content12_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent12Avg" />
    <result column="centre_harmonic_voltage_content12_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent12Cp95" />
    <result column="centre_harmonic_voltage_content13_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent13Max" />
    <result column="centre_harmonic_voltage_content13_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent13Min" />
    <result column="centre_harmonic_voltage_content13_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent13Avg" />
    <result column="centre_harmonic_voltage_content13_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent13Cp95" />
    <result column="centre_harmonic_voltage_content14_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent14Max" />
    <result column="centre_harmonic_voltage_content14_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent14Min" />
    <result column="centre_harmonic_voltage_content14_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent14Avg" />
    <result column="centre_harmonic_voltage_content14_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent14Cp95" />
    <result column="centre_harmonic_voltage_content15_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent15Max" />
    <result column="centre_harmonic_voltage_content15_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent15Min" />
    <result column="centre_harmonic_voltage_content15_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent15Avg" />
    <result column="centre_harmonic_voltage_content15_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent15Cp95" />
    <result column="centre_harmonic_voltage_content16_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent16Max" />
    <result column="centre_harmonic_voltage_content16_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent16Min" />
    <result column="centre_harmonic_voltage_content16_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent16Avg" />
    <result column="centre_harmonic_voltage_content16_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent16Cp95" />
    <result column="centre_harmonic_voltage_content17_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent17Max" />
    <result column="centre_harmonic_voltage_content17_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent17Min" />
    <result column="centre_harmonic_voltage_content17_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent17Avg" />
    <result column="centre_harmonic_voltage_content17_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent17Cp95" />
    <result column="centre_harmonic_voltage_content18_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent18Max" />
    <result column="centre_harmonic_voltage_content18_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent18Min" />
    <result column="centre_harmonic_voltage_content18_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent18Avg" />
    <result column="centre_harmonic_voltage_content18_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent18Cp95" />
    <result column="centre_harmonic_voltage_content19_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent19Max" />
    <result column="centre_harmonic_voltage_content19_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent19Min" />
    <result column="centre_harmonic_voltage_content19_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent19Avg" />
    <result column="centre_harmonic_voltage_content19_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent19Cp95" />
    <result column="centre_harmonic_voltage_content20_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent20Max" />
    <result column="centre_harmonic_voltage_content20_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent20Min" />
    <result column="centre_harmonic_voltage_content20_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent20Avg" />
    <result column="centre_harmonic_voltage_content20_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent20Cp95" />
    <result column="centre_harmonic_voltage_content21_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent21Max" />
    <result column="centre_harmonic_voltage_content21_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent21Min" />
    <result column="centre_harmonic_voltage_content21_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent21Avg" />
    <result column="centre_harmonic_voltage_content21_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent21Cp95" />
    <result column="centre_harmonic_voltage_content22_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent22Max" />
    <result column="centre_harmonic_voltage_content22_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent22Min" />
    <result column="centre_harmonic_voltage_content22_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent22Avg" />
    <result column="centre_harmonic_voltage_content22_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent22Cp95" />
    <result column="centre_harmonic_voltage_content23_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent23Max" />
    <result column="centre_harmonic_voltage_content23_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent23Min" />
    <result column="centre_harmonic_voltage_content23_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent23Avg" />
    <result column="centre_harmonic_voltage_content23_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent23Cp95" />
    <result column="centre_harmonic_voltage_content24_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent24Max" />
    <result column="centre_harmonic_voltage_content24_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent24Min" />
    <result column="centre_harmonic_voltage_content24_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent24Avg" />
    <result column="centre_harmonic_voltage_content24_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent24Cp95" />
    <result column="centre_harmonic_voltage_content25_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent25Max" />
    <result column="centre_harmonic_voltage_content25_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent25Min" />
    <result column="centre_harmonic_voltage_content25_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent25Avg" />
    <result column="centre_harmonic_voltage_content25_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent25Cp95" />
    <result column="centre_harmonic_voltage_content26_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent26Max" />
    <result column="centre_harmonic_voltage_content26_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent26Min" />
    <result column="centre_harmonic_voltage_content26_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent26Avg" />
    <result column="centre_harmonic_voltage_content26_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent26Cp95" />
    <result column="centre_harmonic_voltage_content27_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent27Max" />
    <result column="centre_harmonic_voltage_content27_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent27Min" />
    <result column="centre_harmonic_voltage_content27_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent27Avg" />
    <result column="centre_harmonic_voltage_content27_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent27Cp95" />
    <result column="centre_harmonic_voltage_content28_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent28Max" />
    <result column="centre_harmonic_voltage_content28_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent28Min" />
    <result column="centre_harmonic_voltage_content28_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent28Avg" />
    <result column="centre_harmonic_voltage_content28_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent28Cp95" />
    <result column="centre_harmonic_voltage_content29_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent29Max" />
    <result column="centre_harmonic_voltage_content29_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent29Min" />
    <result column="centre_harmonic_voltage_content29_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent29Avg" />
    <result column="centre_harmonic_voltage_content29_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent29Cp95" />
    <result column="centre_harmonic_voltage_content30_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent30Max" />
    <result column="centre_harmonic_voltage_content30_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent30Min" />
    <result column="centre_harmonic_voltage_content30_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent30Avg" />
    <result column="centre_harmonic_voltage_content30_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent30Cp95" />
    <result column="centre_harmonic_voltage_content31_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent31Max" />
    <result column="centre_harmonic_voltage_content31_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent31Min" />
    <result column="centre_harmonic_voltage_content31_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent31Avg" />
    <result column="centre_harmonic_voltage_content31_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent31Cp95" />
    <result column="centre_harmonic_voltage_content32_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent32Max" />
    <result column="centre_harmonic_voltage_content32_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent32Min" />
    <result column="centre_harmonic_voltage_content32_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent32Avg" />
    <result column="centre_harmonic_voltage_content32_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent32Cp95" />
    <result column="centre_harmonic_voltage_content33_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent33Max" />
    <result column="centre_harmonic_voltage_content33_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent33Min" />
    <result column="centre_harmonic_voltage_content33_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent33Avg" />
    <result column="centre_harmonic_voltage_content33_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent33Cp95" />
    <result column="centre_harmonic_voltage_content34_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent34Max" />
    <result column="centre_harmonic_voltage_content34_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent34Min" />
    <result column="centre_harmonic_voltage_content34_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent34Avg" />
    <result column="centre_harmonic_voltage_content34_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent34Cp95" />
    <result column="centre_harmonic_voltage_content35_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent35Max" />
    <result column="centre_harmonic_voltage_content35_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent35Min" />
    <result column="centre_harmonic_voltage_content35_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent35Avg" />
    <result column="centre_harmonic_voltage_content35_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent35Cp95" />
    <result column="centre_harmonic_voltage_content36_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent36Max" />
    <result column="centre_harmonic_voltage_content36_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent36Min" />
    <result column="centre_harmonic_voltage_content36_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent36Avg" />
    <result column="centre_harmonic_voltage_content36_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent36Cp95" />
    <result column="centre_harmonic_voltage_content37_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent37Max" />
    <result column="centre_harmonic_voltage_content37_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent37Min" />
    <result column="centre_harmonic_voltage_content37_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent37Avg" />
    <result column="centre_harmonic_voltage_content37_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent37Cp95" />
    <result column="centre_harmonic_voltage_content38_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent38Max" />
    <result column="centre_harmonic_voltage_content38_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent38Min" />
    <result column="centre_harmonic_voltage_content38_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent38Avg" />
    <result column="centre_harmonic_voltage_content38_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent38Cp95" />
    <result column="centre_harmonic_voltage_content39_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent39Max" />
    <result column="centre_harmonic_voltage_content39_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent39Min" />
    <result column="centre_harmonic_voltage_content39_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent39Avg" />
    <result column="centre_harmonic_voltage_content39_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent39Cp95" />
    <result column="centre_harmonic_voltage_content40_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent40Max" />
    <result column="centre_harmonic_voltage_content40_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent40Min" />
    <result column="centre_harmonic_voltage_content40_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent40Avg" />
    <result column="centre_harmonic_voltage_content40_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent40Cp95" />
    <result column="centre_harmonic_voltage_content41_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent41Max" />
    <result column="centre_harmonic_voltage_content41_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent41Min" />
    <result column="centre_harmonic_voltage_content41_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent41Avg" />
    <result column="centre_harmonic_voltage_content41_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent41Cp95" />
    <result column="centre_harmonic_voltage_content42_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent42Max" />
    <result column="centre_harmonic_voltage_content42_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent42Min" />
    <result column="centre_harmonic_voltage_content42_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent42Avg" />
    <result column="centre_harmonic_voltage_content42_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent42Cp95" />
    <result column="centre_harmonic_voltage_content43_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent43Max" />
    <result column="centre_harmonic_voltage_content43_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent43Min" />
    <result column="centre_harmonic_voltage_content43_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent43Avg" />
    <result column="centre_harmonic_voltage_content43_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent43Cp95" />
    <result column="centre_harmonic_voltage_content44_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent44Max" />
    <result column="centre_harmonic_voltage_content44_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent44Min" />
    <result column="centre_harmonic_voltage_content44_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent44Avg" />
    <result column="centre_harmonic_voltage_content44_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent44Cp95" />
    <result column="centre_harmonic_voltage_content45_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent45Max" />
    <result column="centre_harmonic_voltage_content45_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent45Min" />
    <result column="centre_harmonic_voltage_content45_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent45Avg" />
    <result column="centre_harmonic_voltage_content45_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent45Cp95" />
    <result column="centre_harmonic_voltage_content46_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent46Max" />
    <result column="centre_harmonic_voltage_content46_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent46Min" />
    <result column="centre_harmonic_voltage_content46_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent46Avg" />
    <result column="centre_harmonic_voltage_content46_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent46Cp95" />
    <result column="centre_harmonic_voltage_content47_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent47Max" />
    <result column="centre_harmonic_voltage_content47_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent47Min" />
    <result column="centre_harmonic_voltage_content47_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent47Avg" />
    <result column="centre_harmonic_voltage_content47_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent47Cp95" />
    <result column="centre_harmonic_voltage_content48_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent48Max" />
    <result column="centre_harmonic_voltage_content48_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent48Min" />
    <result column="centre_harmonic_voltage_content48_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent48Avg" />
    <result column="centre_harmonic_voltage_content48_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent48Cp95" />
    <result column="centre_harmonic_voltage_content49_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent49Max" />
    <result column="centre_harmonic_voltage_content49_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent49Min" />
    <result column="centre_harmonic_voltage_content49_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent49Avg" />
    <result column="centre_harmonic_voltage_content49_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent49Cp95" />
    <result column="centre_harmonic_voltage_content50_max" jdbcType="FLOAT" property="centreHarmonicVoltageContent50Max" />
    <result column="centre_harmonic_voltage_content50_min" jdbcType="FLOAT" property="centreHarmonicVoltageContent50Min" />
    <result column="centre_harmonic_voltage_content50_avg" jdbcType="FLOAT" property="centreHarmonicVoltageContent50Avg" />
    <result column="centre_harmonic_voltage_content50_cp95" jdbcType="FLOAT" property="centreHarmonicVoltageContent50Cp95" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    measurement_point_id, data_date, phase, centre_harmonic_voltage_content1_max, centre_harmonic_voltage_content1_min, 
    centre_harmonic_voltage_content1_avg, centre_harmonic_voltage_content1_cp95, centre_harmonic_voltage_content2_max, 
    centre_harmonic_voltage_content2_min, centre_harmonic_voltage_content2_avg, centre_harmonic_voltage_content2_cp95, 
    centre_harmonic_voltage_content3_max, centre_harmonic_voltage_content3_min, centre_harmonic_voltage_content3_avg, 
    centre_harmonic_voltage_content3_cp95, centre_harmonic_voltage_content4_max, centre_harmonic_voltage_content4_min, 
    centre_harmonic_voltage_content4_avg, centre_harmonic_voltage_content4_cp95, centre_harmonic_voltage_content5_max, 
    centre_harmonic_voltage_content5_min, centre_harmonic_voltage_content5_avg, centre_harmonic_voltage_content5_cp95, 
    centre_harmonic_voltage_content6_max, centre_harmonic_voltage_content6_min, centre_harmonic_voltage_content6_avg, 
    centre_harmonic_voltage_content6_cp95, centre_harmonic_voltage_content7_max, centre_harmonic_voltage_content7_min, 
    centre_harmonic_voltage_content7_avg, centre_harmonic_voltage_content7_cp95, centre_harmonic_voltage_content8_max, 
    centre_harmonic_voltage_content8_min, centre_harmonic_voltage_content8_avg, centre_harmonic_voltage_content8_cp95, 
    centre_harmonic_voltage_content9_max, centre_harmonic_voltage_content9_min, centre_harmonic_voltage_content9_avg, 
    centre_harmonic_voltage_content9_cp95, centre_harmonic_voltage_content10_max, centre_harmonic_voltage_content10_min, 
    centre_harmonic_voltage_content10_avg, centre_harmonic_voltage_content10_cp95, centre_harmonic_voltage_content11_max, 
    centre_harmonic_voltage_content11_min, centre_harmonic_voltage_content11_avg, centre_harmonic_voltage_content11_cp95, 
    centre_harmonic_voltage_content12_max, centre_harmonic_voltage_content12_min, centre_harmonic_voltage_content12_avg, 
    centre_harmonic_voltage_content12_cp95, centre_harmonic_voltage_content13_max, centre_harmonic_voltage_content13_min, 
    centre_harmonic_voltage_content13_avg, centre_harmonic_voltage_content13_cp95, centre_harmonic_voltage_content14_max, 
    centre_harmonic_voltage_content14_min, centre_harmonic_voltage_content14_avg, centre_harmonic_voltage_content14_cp95, 
    centre_harmonic_voltage_content15_max, centre_harmonic_voltage_content15_min, centre_harmonic_voltage_content15_avg, 
    centre_harmonic_voltage_content15_cp95, centre_harmonic_voltage_content16_max, centre_harmonic_voltage_content16_min, 
    centre_harmonic_voltage_content16_avg, centre_harmonic_voltage_content16_cp95, centre_harmonic_voltage_content17_max, 
    centre_harmonic_voltage_content17_min, centre_harmonic_voltage_content17_avg, centre_harmonic_voltage_content17_cp95, 
    centre_harmonic_voltage_content18_max, centre_harmonic_voltage_content18_min, centre_harmonic_voltage_content18_avg, 
    centre_harmonic_voltage_content18_cp95, centre_harmonic_voltage_content19_max, centre_harmonic_voltage_content19_min, 
    centre_harmonic_voltage_content19_avg, centre_harmonic_voltage_content19_cp95, centre_harmonic_voltage_content20_max, 
    centre_harmonic_voltage_content20_min, centre_harmonic_voltage_content20_avg, centre_harmonic_voltage_content20_cp95, 
    centre_harmonic_voltage_content21_max, centre_harmonic_voltage_content21_min, centre_harmonic_voltage_content21_avg, 
    centre_harmonic_voltage_content21_cp95, centre_harmonic_voltage_content22_max, centre_harmonic_voltage_content22_min, 
    centre_harmonic_voltage_content22_avg, centre_harmonic_voltage_content22_cp95, centre_harmonic_voltage_content23_max, 
    centre_harmonic_voltage_content23_min, centre_harmonic_voltage_content23_avg, centre_harmonic_voltage_content23_cp95, 
    centre_harmonic_voltage_content24_max, centre_harmonic_voltage_content24_min, centre_harmonic_voltage_content24_avg, 
    centre_harmonic_voltage_content24_cp95, centre_harmonic_voltage_content25_max, centre_harmonic_voltage_content25_min, 
    centre_harmonic_voltage_content25_avg, centre_harmonic_voltage_content25_cp95, centre_harmonic_voltage_content26_max, 
    centre_harmonic_voltage_content26_min, centre_harmonic_voltage_content26_avg, centre_harmonic_voltage_content26_cp95, 
    centre_harmonic_voltage_content27_max, centre_harmonic_voltage_content27_min, centre_harmonic_voltage_content27_avg, 
    centre_harmonic_voltage_content27_cp95, centre_harmonic_voltage_content28_max, centre_harmonic_voltage_content28_min, 
    centre_harmonic_voltage_content28_avg, centre_harmonic_voltage_content28_cp95, centre_harmonic_voltage_content29_max, 
    centre_harmonic_voltage_content29_min, centre_harmonic_voltage_content29_avg, centre_harmonic_voltage_content29_cp95, 
    centre_harmonic_voltage_content30_max, centre_harmonic_voltage_content30_min, centre_harmonic_voltage_content30_avg, 
    centre_harmonic_voltage_content30_cp95, centre_harmonic_voltage_content31_max, centre_harmonic_voltage_content31_min, 
    centre_harmonic_voltage_content31_avg, centre_harmonic_voltage_content31_cp95, centre_harmonic_voltage_content32_max, 
    centre_harmonic_voltage_content32_min, centre_harmonic_voltage_content32_avg, centre_harmonic_voltage_content32_cp95, 
    centre_harmonic_voltage_content33_max, centre_harmonic_voltage_content33_min, centre_harmonic_voltage_content33_avg, 
    centre_harmonic_voltage_content33_cp95, centre_harmonic_voltage_content34_max, centre_harmonic_voltage_content34_min, 
    centre_harmonic_voltage_content34_avg, centre_harmonic_voltage_content34_cp95, centre_harmonic_voltage_content35_max, 
    centre_harmonic_voltage_content35_min, centre_harmonic_voltage_content35_avg, centre_harmonic_voltage_content35_cp95, 
    centre_harmonic_voltage_content36_max, centre_harmonic_voltage_content36_min, centre_harmonic_voltage_content36_avg, 
    centre_harmonic_voltage_content36_cp95, centre_harmonic_voltage_content37_max, centre_harmonic_voltage_content37_min, 
    centre_harmonic_voltage_content37_avg, centre_harmonic_voltage_content37_cp95, centre_harmonic_voltage_content38_max, 
    centre_harmonic_voltage_content38_min, centre_harmonic_voltage_content38_avg, centre_harmonic_voltage_content38_cp95, 
    centre_harmonic_voltage_content39_max, centre_harmonic_voltage_content39_min, centre_harmonic_voltage_content39_avg, 
    centre_harmonic_voltage_content39_cp95, centre_harmonic_voltage_content40_max, centre_harmonic_voltage_content40_min, 
    centre_harmonic_voltage_content40_avg, centre_harmonic_voltage_content40_cp95, centre_harmonic_voltage_content41_max, 
    centre_harmonic_voltage_content41_min, centre_harmonic_voltage_content41_avg, centre_harmonic_voltage_content41_cp95, 
    centre_harmonic_voltage_content42_max, centre_harmonic_voltage_content42_min, centre_harmonic_voltage_content42_avg, 
    centre_harmonic_voltage_content42_cp95, centre_harmonic_voltage_content43_max, centre_harmonic_voltage_content43_min, 
    centre_harmonic_voltage_content43_avg, centre_harmonic_voltage_content43_cp95, centre_harmonic_voltage_content44_max, 
    centre_harmonic_voltage_content44_min, centre_harmonic_voltage_content44_avg, centre_harmonic_voltage_content44_cp95, 
    centre_harmonic_voltage_content45_max, centre_harmonic_voltage_content45_min, centre_harmonic_voltage_content45_avg, 
    centre_harmonic_voltage_content45_cp95, centre_harmonic_voltage_content46_max, centre_harmonic_voltage_content46_min, 
    centre_harmonic_voltage_content46_avg, centre_harmonic_voltage_content46_cp95, centre_harmonic_voltage_content47_max, 
    centre_harmonic_voltage_content47_min, centre_harmonic_voltage_content47_avg, centre_harmonic_voltage_content47_cp95, 
    centre_harmonic_voltage_content48_max, centre_harmonic_voltage_content48_min, centre_harmonic_voltage_content48_avg, 
    centre_harmonic_voltage_content48_cp95, centre_harmonic_voltage_content49_max, centre_harmonic_voltage_content49_min, 
    centre_harmonic_voltage_content49_avg, centre_harmonic_voltage_content49_cp95, centre_harmonic_voltage_content50_max, 
    centre_harmonic_voltage_content50_min, centre_harmonic_voltage_content50_avg, centre_harmonic_voltage_content50_cp95
  </sql>
</mapper>